curl --request GET \
--url https://api.partoo.co/v2/business/{business_id}/place_action_links \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/business/{business_id}/place_action_links"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/business/{business_id}/place_action_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"place_action_links": [
{
"gmb_id": "SHOP_ONLINE",
"urls": [
{
"id": 1,
"value": "https://www.example.com/shop_online",
"is_preferred": true,
"is_editable": true
},
{
"id": 2,
"value": "https://www.example.com/shop_online2",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "FOOD_TAKEOUT",
"urls": [
{
"id": 3,
"value": "https://www.example.com/food_takeout1",
"is_preferred": false,
"is_editable": false
},
{
"id": 4,
"value": "https://www.example.com/food_takeout2",
"is_preferred": false,
"is_editable": true
},
{
"id": 5,
"value": "https://www.example.com/food_takeout3",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "ONLINE_APPOINTMENT",
"urls": [
{
"id": 6,
"value": "https://www.example.com/online_appointment",
"is_preferred": true,
"is_editable": true
},
{
"id": 7,
"value": "https://www.example.com/online_appointment2",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "DINING_RESERVATION",
"urls": [
{
"id": 8,
"value": "https://www.example.com/dining_reservation1",
"is_preferred": true,
"is_editable": false
},
{
"id": 9,
"value": "https://www.example.com/dining_reservation2",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "APPOINTMENT",
"urls": [
{
"id": 10,
"value": "https://www.example.com/appointment1",
"is_preferred": true,
"is_editable": true
},
{
"id": 11,
"value": "https://www.example.com/appointment2",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "FOOD_ORDERING",
"urls": [
{
"id": 12,
"value": "https://www.example.com/food_ordering1",
"is_preferred": true,
"is_editable": true
},
{
"id": 13,
"value": "https://www.example.com/food_ordering2",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "FOOD_DELIVERY",
"urls": []
}
]
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Get Place Action Links
Retrieve a list of place action links for a given business_id. Only the available gmb_id links for the business are returned in the GET request. Additionally, the business must be connected to a Google location. For more details, refer to the Partner Connection page.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Response
OK
List of Business Place Action Links
Show child attributes
Show child attributes
[
{
"gmb_id": "SHOP_ONLINE",
"urls": [
{
"id": 1,
"value": "https://www.example.com/shop_online",
"is_preferred": true,
"is_editable": true
},
{
"id": 2,
"value": "https://www.example.com/shop_online2",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "FOOD_TAKEOUT",
"urls": [
{
"id": 3,
"value": "https://www.example.com/food_takeout1",
"is_preferred": false,
"is_editable": false
},
{
"id": 4,
"value": "https://www.example.com/food_takeout2",
"is_preferred": false,
"is_editable": true
},
{
"id": 5,
"value": "https://www.example.com/food_takeout3",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "ONLINE_APPOINTMENT",
"urls": [
{
"id": 6,
"value": "https://www.example.com/online_appointment",
"is_preferred": true,
"is_editable": true
},
{
"id": 7,
"value": "https://www.example.com/online_appointment2",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "DINING_RESERVATION",
"urls": [
{
"id": 8,
"value": "https://www.example.com/dining_reservation1",
"is_preferred": true,
"is_editable": false
},
{
"id": 9,
"value": "https://www.example.com/dining_reservation2",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "APPOINTMENT",
"urls": [
{
"id": 10,
"value": "https://www.example.com/appointment1",
"is_preferred": true,
"is_editable": true
},
{
"id": 11,
"value": "https://www.example.com/appointment2",
"is_preferred": false,
"is_editable": true
}
]
},
{
"gmb_id": "FOOD_ORDERING",
"urls": [
{
"id": 12,
"value": "https://www.example.com/food_ordering1",
"is_preferred": true,
"is_editable": true
},
{
"id": 13,
"value": "https://www.example.com/food_ordering2",
"is_preferred": false,
"is_editable": true
}
]
},
{ "gmb_id": "FOOD_DELIVERY", "urls": [] }
]
Was this page helpful?